import { Injectable } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { HttpClient, HttpHeaders } from '@angular/common/http';

@Injectable({
  providedIn: 'root'
})



export class ParseXmlService {

  constructor(private http:HttpClient) { }
  deserializedXmlObject = new BehaviorSubject(null);
  
  getXmlResult(path,body): Observable<any> {
    const httpOptions = {
        headers: new HttpHeaders({
          'Content-Type':  'application/x-www-form-urlencoded',
          'responseType': 'application/sparql-results+xml'         
        })
      };
    return this.http.post(path,body, httpOptions);   
  }
}
